# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):

        # Adding model 'DeviationSuggestionlist'
        db.create_table('deviations_deviationsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['DeviationSuggestionlist'])

        # Adding model 'DeviationScenario'
        db.create_table('deviations_deviationscenario', (
            ('is_ok', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='scenarios', blank=True, null=True, to=orm['deviations.DeviationSuggestionlist'])),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationscenario_created', to=orm['auth.User'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('evaluation', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('scope', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='deviations_scenario_set', blank=True, null=True, to=orm['installations.Scope'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('use_LOPA', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('lopa_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationscenario_changed', to=orm['auth.User'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('target_frequency', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['DeviationScenario'])

        # Adding model 'CauseTreeElement'
        db.create_table('deviations_causetreeelement', (
            ('rght', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('lft', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='causetreeelement_created', to=orm['auth.User'])),
            ('elementtype', self.gf('django.db.models.fields.SmallIntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('object_id', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('tree_id', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('gate', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(related_name='causetreeelement_children', blank=True, null=True, to=orm['deviations.CauseTreeElement'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='causetreeelement_related', blank=True, null=True, to=orm['contenttypes.ContentType'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('scenario', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['deviations.DeviationScenario'])),
            ('level', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='causetreeelement_changed', to=orm['auth.User'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('deviations', ['CauseTreeElement'])

        # Adding model 'Cause'
        db.create_table('deviations_cause', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('probability', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='cause_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('frequency', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='cause_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('condition', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['Cause'])

        # Adding model 'DeviationMeasure'
        db.create_table('deviations_deviationmeasure', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationmeasure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationmeasure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('tag', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['DeviationMeasure'])

        # Adding model 'ProtectionLayer'
        db.create_table('deviations_protectionlayer', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('reltype', self.gf('django.db.models.fields.SmallIntegerField')(default=1)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='protectionlayer_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('risks', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('rel', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='protectionlayer_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('effectivity', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('reliability', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['ProtectionLayer'])

        # Adding model 'DeviationProtectionLayer_Measure'
        db.create_table('deviations_deviationprotectionlayer_measure', (
            ('protectionlayer', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['deviations.ProtectionLayer'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationprotectionlayer_measure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationprotectionlayer_measure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['deviations.DeviationMeasure'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('deviations', ['DeviationProtectionLayer_Measure'])

        # Adding model 'DeviationAPSuggestionlist'
        db.create_table('deviations_deviationapsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationapsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='deviationapsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['DeviationAPSuggestionlist'])

        # Adding model 'AttentionPoint'
        db.create_table('deviations_attentionpoint', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['deviations.DeviationAPSuggestionlist'])),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='attentionpoint_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='attentionpoint_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['deviations.DeviationMeasure'])),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['AttentionPoint'])

        # Adding model 'Dependency'
        db.create_table('deviations_dependency', (
            ('element1', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='dependencies_forward', to=orm['deviations.CauseTreeElement'])),
            ('element2', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='dependencies_reverse', to=orm['deviations.CauseTreeElement'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dependency_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='dependency_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('deviations', ['Dependency'])

        # Adding model 'DeviationLopaPath'
        db.create_table('deviations_deviationlopapath', (
            ('target', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('scenario', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['deviations.DeviationScenario'])),
            ('number', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('high', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('frequency', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('final', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('initiating', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('deviations', ['DeviationLopaPath'])

        # Adding model 'DeviationLopaPathElement'
        db.create_table('deviations_deviationlopapathelement', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('number', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('disabled', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('path', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['deviations.DeviationLopaPath'])),
            ('freq', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('elementtype', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('prob', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
        ))
        db.send_create_signal('deviations', ['DeviationLopaPathElement'])


    def backwards(self, orm):

        # Deleting model 'DeviationSuggestionlist'
        db.delete_table('deviations_deviationsuggestionlist')

        # Deleting model 'DeviationScenario'
        db.delete_table('deviations_deviationscenario')

        # Deleting model 'CauseTreeElement'
        db.delete_table('deviations_causetreeelement')

        # Deleting model 'Cause'
        db.delete_table('deviations_cause')

        # Deleting model 'DeviationMeasure'
        db.delete_table('deviations_deviationmeasure')

        # Deleting model 'ProtectionLayer'
        db.delete_table('deviations_protectionlayer')

        # Deleting model 'DeviationProtectionLayer_Measure'
        db.delete_table('deviations_deviationprotectionlayer_measure')

        # Deleting model 'DeviationAPSuggestionlist'
        db.delete_table('deviations_deviationapsuggestionlist')

        # Deleting model 'AttentionPoint'
        db.delete_table('deviations_attentionpoint')

        # Deleting model 'Dependency'
        db.delete_table('deviations_dependency')

        # Deleting model 'DeviationLopaPath'
        db.delete_table('deviations_deviationlopapath')

        # Deleting model 'DeviationLopaPathElement'
        db.delete_table('deviations_deviationlopapathelement')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'deviations.attentionpoint': {
            'Meta': {'object_name': 'AttentionPoint'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['deviations.DeviationMeasure']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['deviations.DeviationAPSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attentionpoint_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attentionpoint_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.cause': {
            'Meta': {'object_name': 'Cause'},
            'condition': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'probability': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cause_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cause_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.causetreeelement': {
            'Meta': {'object_name': 'CauseTreeElement'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_related'", 'blank': 'True', 'null': 'True', 'to': "orm['contenttypes.ContentType']"}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'elementtype': ('django.db.models.fields.SmallIntegerField', [], {}),
            'gate': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_children'", 'blank': 'True', 'null': 'True', 'to': "orm['deviations.CauseTreeElement']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'scenario': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.DeviationScenario']"}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.dependency': {
            'Meta': {'object_name': 'Dependency'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'element1': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'dependencies_forward'", 'to': "orm['deviations.CauseTreeElement']"}),
            'element2': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'dependencies_reverse'", 'to': "orm['deviations.CauseTreeElement']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dependency_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dependency_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationapsuggestionlist': {
            'Meta': {'object_name': 'DeviationAPSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationapsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationapsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationlopapath': {
            'Meta': {'object_name': 'DeviationLopaPath'},
            'final': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'high': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initiating': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'scenario': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['deviations.DeviationScenario']"}),
            'target': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationlopapathelement': {
            'Meta': {'object_name': 'DeviationLopaPathElement'},
            'disabled': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'elementtype': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'freq': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'path': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['deviations.DeviationLopaPath']"}),
            'prob': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationmeasure': {
            'Meta': {'object_name': 'DeviationMeasure'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationmeasure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationmeasure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationprotectionlayer_measure': {
            'Meta': {'object_name': 'DeviationProtectionLayer_Measure'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.DeviationMeasure']"}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'protectionlayer': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.ProtectionLayer']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationprotectionlayer_measure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationprotectionlayer_measure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationscenario': {
            'Meta': {'object_name': 'DeviationScenario'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'evaluation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_ok': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lopa_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'scope': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'deviations_scenario_set'", 'blank': 'True', 'null': 'True', 'to': "orm['installations.Scope']"}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'scenarios'", 'blank': 'True', 'null': 'True', 'to': "orm['deviations.DeviationSuggestionlist']"}),
            'target_frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'use_LOPA': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationscenario_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationscenario_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationsuggestionlist': {
            'Meta': {'object_name': 'DeviationSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.protectionlayer': {
            'Meta': {'object_name': 'ProtectionLayer'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'effectivity': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'rel': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'reliability': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'reltype': ('django.db.models.fields.SmallIntegerField', [], {'default': '1'}),
            'risks': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'protectionlayer_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'protectionlayer_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'installations.scope': {
            'Meta': {'object_name': 'Scope'},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'versioning.version': {
            'Meta': {'object_name': 'Version'},
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'created_versions'", 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['deviations']
