from django.conf.urls.defaults import *
from users.views import user, group
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required, login_required

urlpatterns = decorated_patterns('', permission_required('auth.display_users'),
    url(r'^$', user.users(), name='users'),
    url(r'^users/$', user.users(), name='users_users'),
    url(r'^users/(?P<object_id>\d+)/delete/$', user.delete(), name='users_user_delete'),
    url(r'^users/(?P<object_id>\d+)/edit/$', user.edit(), name='users_user_edit'),
    url(r'^users/(?P<object_id>\d+)/edit/password/$', user.set_password(), name='users_user_set_password'),
    url(r'^users/(?P<object_id>\d+)/$', user.display(), name='users_user'),
    url(r'^users/add/$', user.add(), name='users_user_add'),
    url(r'^groups/$', group.groups(), name='users_groups'),
    url(r'^groups/(?P<object_id>\d+)/delete/$', group.delete(), name='users_group_delete'),
    url(r'^groups/(?P<object_id>\d+)/edit/$', group.edit(), name='users_group_edit'),
    url(r'^groups/(?P<object_id>\d+)/(?P<tab>\w+)/$', group.display(), name='users_group'),
    url(r'^groups/add/$', group.add(), name='users_group_add'),
)

urlpatterns += decorated_patterns('', login_required,
    url(r'^change_password/$', user.change_password(), name='users_change_password'),
)
