from django.conf.urls.defaults import *
from utils.news import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('news.display_news'),
    url(r'^$', views.entries(), name='news_entries'),
    url(r'^add/$', views.add(), name='news_entry_add'),
    url(r'^(?P<object_id>\d+)/edit/$', views.edit(), name='news_entry_edit'),
    url(r'^(?P<object_id>\d+)/delete/$', views.delete(), name='news_entry_delete'),
    url(r'^(?P<object_id>\d+)/$', views.display(), name='news_entry_display'),
)