﻿from django import template
from django.conf import settings
from django.utils.safestring import mark_safe

register = template.Library()

@register.tag
def treeimages(parser, token):
    """
    {% treeimages treeelement %}
    """
    bits = token.contents.split()
    if len(bits) != 2:
        raise template.TemplateSyntaxError, "'%s' tag takes one argument" % bits[0]
    return treeimagesNode(bits[1])

class treeimagesNode(template.Node):
    def __init__(self, object):
        self.object = template.Variable(object)

    def render(self, context):
        object = self.object.resolve(context)
        prefix = settings.MEDIA_ROOT + '/images/tree/'
        im = {'0': 'tree-space.png', '1': 'tree-line.png', '2': 'tree-cross.png', '3': 'tree-corner.png'}
        res = []
        for item in object['treeimages']:
# using this height is a hack
            res.append('<img src="%s%s" width=16px height=20px>' % (prefix, im.get(item, 'tree-space.png')))
        return mark_safe("".join(res))

