from django.conf import settings
from django.contrib.auth.models import User
from django.core.management.base import NoArgsCommand, CommandError
from django.db import transaction
from django.utils.dateformat import format
from utils.versioning.models import Version

import datetime

class Command(NoArgsCommand):
    help = "Can be run as a cronjob or directly to create a new version."

    def handle_noargs(self, **options):
        try:
            user = User.objects.get(username='__SYSTEM__')
        except User.DoesNotExist:
            raise CommandError("System user not found")
        # Do not create version if there are no objects for it.
        if Version.exists_changed_objects():
            Version(name = 'Status from %s' % format(datetime.datetime.now(), settings.DATETIME_FORMAT)).save(user)


